Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.mysoleas.com/collection/intent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 2500,
"currency": "XAF",
"transaction_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "CM_MTN_MOMO",
"channel": "PROVIDER",
"customer_wallet": "237670000000",
"description": "<string>",
"metadata": {},
"distribution": [
{
"matricule": "MS-SELLER-001",
"rate": 80,
"description": "<string>",
"metadata": {}
}
]
}
'import requests
url = "https://api.mysoleas.com/collection/intent"
payload = {
"amount": 2500,
"currency": "XAF",
"transaction_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "CM_MTN_MOMO",
"channel": "PROVIDER",
"customer_wallet": "237670000000",
"description": "<string>",
"metadata": {},
"distribution": [
{
"matricule": "MS-SELLER-001",
"rate": 80,
"description": "<string>",
"metadata": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 2500,
currency: 'XAF',
transaction_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
provider: 'CM_MTN_MOMO',
channel: 'PROVIDER',
customer_wallet: '237670000000',
description: '<string>',
metadata: {},
distribution: [{matricule: 'MS-SELLER-001', rate: 80, description: '<string>', metadata: {}}]
})
};
fetch('https://api.mysoleas.com/collection/intent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"success": true,
"locale": "fr",
"message": "<string>",
"meta": {},
"data": {
"transaction_reference": "<string>",
"environment": "prod",
"invoice_reference": "<string>",
"provider_reference": "<string>",
"amount": 123,
"currency": "<string>",
"confirmation_url": "<string>",
"fee": 123,
"required_total": 123,
"split_reference": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"success": false,
"code": 400,
"message": "empty_data",
"error": {
"details": {}
}
}{
"success": false,
"code": 400,
"message": "empty_data",
"error": {
"details": {}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
2500
"XAF"
"CM_MTN_MOMO"
PROVIDER, WALLET, AUTO "PROVIDER"
"237670000000"
DIRECT, SPLIT Show child attributes